Subject: Re: make calls 'time' program bug
From: [email-masked] (Jeff Sturm)

11 Sep 1998 07:59:32 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jeff Deifik <[email-masked]>
Cc: [email-masked]

Are you using MAKE_MODE=unix?  If not, make will spawn CMD.EXE (which
has a builtin time command) instead of /bin/sh.

Jeff Deifik wrote:
> 
> I have a makefile that calls the time command.
> for example:
> time my_program
> 
> The way it used to work with an early copy of beta-19 was to
> time how long it took to run my_program.
> 
> I have now downloaded the latest coolview, and uname -a reports:
> WEASEL_IN_A_BOX:/d/j/util/test:510: uname -a
> CYGWIN32_NT WEASEL_IN_A_BOX 4.0 19.3 i586 unknown
> 
> Now when I execute my makefile I get the following:
>  (note sim is the real name of the program that I want to time,
>   and WEASEL_IN_A_BOX is the name of my machine.)
> 
> WEASEL_IN_A_BOX:/d/j/util/test:513: make test_simx
> rm -f simx*.out simx*.log
> time //d/j/bin/sim -g -p -m=90 simx0.in simx0.out simx0.log
> The system cannot accept the time entered.
> Enter the new time:
> 
> I would assume that the time command being run is the windows-nt version,
> which tries to modify the system time, which isn't the unix-like time
> command.
> 
> When I run the command line from bash, it times the command my_program.
> 
> How do I fix this behavior?
> 
> I have copied sh.exe to /usr . All my files are mounted in binary-mode.
> 
>         Thanks in advance,
>         Jeff Deifik
>         [email-masked]
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Jeff Sturm
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".